### Hierarchy

- Block

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Block(message: ISpecification): Block

- - Defined in lib/renderable/block/index.ts:17

  #### Parameters

  - ##### message: ISpecification

  #### Returns Block

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/block/index.ts:17

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/block/index.ts:26

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc